GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
gdcm::network::TransferSyntaxSub Class Reference

TransferSyntaxSub Table 9-15 TRANSFER SYNTAX SUB-ITEM FIELDS. More...

`#include <gdcmTransferSyntaxSub.h>`

List of all members.

## Public Member Functions

| TransferSyntaxSub ()
const char * | GetName () const
bool | operator== (const TransferSyntaxSub &ts) const
void | Print (std::ostream &os) const
std::istream & | Read (std::istream &is)
void | SetName (const char *name)
void | SetNameFromUID (UIDs::TSName tsname)
size_t | Size () const
const std::ostream & | Write (std::ostream &os) const

## Detailed Description

TransferSyntaxSub Table 9-15 TRANSFER SYNTAX SUB-ITEM FIELDS.

TODO what is the goal of :

Table 9-19 TRANSFER SYNTAX SUB-ITEM FIELDS

## Constructor & Destructor Documentation

gdcm::network::TransferSyntaxSub::TransferSyntaxSub | ( |  | ) |

## Member Function Documentation

const char* gdcm::network::TransferSyntaxSub::GetName | ( |  | ) | const`[inline]`

bool gdcm::network::TransferSyntaxSub::operator== | ( | const TransferSyntaxSub & | ts | ) | const`[inline]`

void gdcm::network::TransferSyntaxSub::Print | ( | std::ostream & | os | ) | const

std::istream& gdcm::network::TransferSyntaxSub::Read | ( | std::istream & | is | ) |

void gdcm::network::TransferSyntaxSub::SetName | ( | const char * | name | ) |

void gdcm::network::TransferSyntaxSub::SetNameFromUID | ( | UIDs::TSName | tsname | ) |

size_t gdcm::network::TransferSyntaxSub::Size | ( |  | ) | const

const std::ostream& gdcm::network::TransferSyntaxSub::Write | ( | std::ostream & | os | ) | const

The documentation for this class was generated from the following file:

- gdcmTransferSyntaxSub.h